org.apache.avro.data

## Interface RecordBuilder<T>

- All Known Subinterfaces:
    ErrorBuilder<T>
  All Known Implementing Classes:
    GenericRecordBuilder, HandshakeRequest.Builder, HandshakeResponse.Builder, RecordBuilderBase, SpecificErrorBuilderBase, SpecificRecordBuilderBase

      public interface RecordBuilder<T>

  Interface for record builders

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `build()` Constructs a new instance using the values set in the RecordBuilder.

- - ### Method Detail

    - #### build

          T build()

      Constructs a new instance using the values set in the RecordBuilder. If a particular value was not set and the schema defines a default value, the default value will be used.
      Returns:
        a new instance using values set in the RecordBuilder.

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.